server:
  port: 8080
  servlet:
    context-path: /app

spring:
  profiles:
    active: local 

---
spring:
  profiles: local
  datasource:
    url: jdbc:postgresql://localhost:5432/testeunitarioapp?currentSchema=sch_app
    username: postgresadmin
    password: admin123
---

spring:
  profiles: test
  datasource:
    url: jdbc:postgresql://localhost:5432/testeunitarioapp?currentSchema=sch_app
    username: postgresadmin
    password: admin123
---

spring:
  profiles: docker
  datasource:
    url: jdbc:postgresql://${DB_HOST}/${DB_NAME}?currentSchema=sch_cadastro
    username: ${DB_USERNAME}
    password: ${DB_PASSWORD}

---

  datasource:
    driverClassName: org.postgresql.Driver
  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    hibernate:
      ddl-auto: create      
    properties:
      hibernate:
        show_sql: false
        format_sql: true  




       
 